clear all;
close all;
cd(); % set directory
[data, header, raw]=xlsread('affinitybox.xlsx',1,'A1:G13');
data=data';
M=size(data,1);
N=size(data,2);
%number of features
F=size(header,1);

figure(2)
h=boxplot(data);
a=get(h(5,:),'YData');
for k=1:size(h,1)

    b=cell2mat(a);
    q05=data(1,k);
    q25=data(2,k);
    q75=data(4,k);
    q95=data(5,k);
    set(h(5,k),'Ydata',[q25 q75 q75 q25 q25])

   % b(:,1)=q25;
    %b(:,2)=q75;
    %b(:,3)=q75;
    %b(:,4)=q25;
    %b(:,5)=q25;
    %c=mat2cell(b,[1,1,1,1,1,1,1,1,1,1,1,1],[5]);
    %h=c;
    %set(h(5,1),'YData',[q25 q75 q75 q25 q25]);
    upWhisker=get(h(1,k),'YData');
    set(h(1,k),'YData',[q75 upWhisker(2)])
    dwWhisker=get(h(2,k),'YData');
    set(h(2,k),'YData',[dwWhisker(1) q25])

    hold on
end

cd(); % set directory
[datar, headerr, rawr]=xlsread('allenglishaffinity.xlsx',1,'A1:D47119');

M=size(data,1);
N=size(data,2);
%number of features
F=size(header,1);

%sort out party %Nation %Tendency %Polity
%Left=logical(data(:,3)==0);
%Right=logical(data(:,3)==1);
LeftData=datar(1:20158,1:3);
RightData=datar(20159:47118,1:3);

%sort out nation in order
USL=logical(LeftData(:,1)==2);
UKL=logical(LeftData(:,1)==200);
CanadaL=logical(LeftData(:,1)==20);
AustraliaL=logical(LeftData(:,1)==900);
NZL=logical(LeftData(:,1)==920);

USR=logical(RightData(:,1)==2);
UKR=logical(RightData(:,1)==200);
CanadaR=logical(RightData(:,1)==20);
AustraliaR=logical(RightData(:,1)==900);
NZR=logical(RightData(:,1)==920);

LeftData(:,1)=USL+3*UKL+5*CanadaL+7*AustraliaL+9*NZL;
RightData(:,1)=2*USR+4*UKR+6*CanadaR+8*AustraliaR+10*NZR+12;

figure(2)
x=0.0700;
y=0.100;
width=0.400;
height=0.800;
%subplot(1,2,1)
scatter(LeftData(:,1),LeftData(:,2),15,LeftData(:,3),'filled');
axis([0.5 6.5 -1.2 1.2])
xticks([1:1:12])
%xticks([1.5 3.5 5.5 7.5 9.5 11.5])
%xticklabels({'Left Right Left Right Left Right Left Right Left Right Left Right' ;'US UK Canada Australia NZ'})
xticklabels({'Left','Right','Left','Right','Left','Right','Left','Right','Left','Right','Left','Right'})
xticklabels({'Left','Right','Left','Right','Left','Right','Left','Right','Left','Right','Left','Right'})
ylabel('Affinity Score','fontsize',25)
%title('Left')
%set(gca, 'Position', [x y width height])

%subplot(1,2,2)
scatter(RightData(:,1),RightData(:,2),15,RightData(:,3),'filled');
axis([0.5 12.5 -1.2 1.2])
%xticks([1 2 3 4 5 6])
%xticklabels({'US','UK','Canada','Australia','NZ'})
%title('Right')
colormap summer
colormap(flipud(colormap))
c=colorbar;%('Ticks',[-10,10],'TickLabels',{'Liberal','Conservative'});
c.Label.String='Polity';
%set(gca, 'Position', [x+0.4 y width height])

a=findobj(gcf);
allaxes=findall(a,'Type','axes');
alllines=findall(a,'Type','line');
alltext=findall(a,'Type','text');
set(alltext,'fontsize',35);
set(alllines,'Linewidth',1.5);
set(allaxes,'FontName','Times New Roman','FontWeight','Bold','LineWidth',2,...
    'FontSize',20,'box','on');

x=200;
y=200;
width=400;
height=500;
%set(figure(2), 'Position', [x y width height])
%set(gca,'ytick',[0 20 40 60 80 100])

plot(2.5*ones(100,1),-2:4/99:2,'k')
hold on
plot(4.5*ones(100,1),-2:4/99:2,'k')
hold on
plot(6.5*ones(100,1),-2:4/99:2,'k')
hold on
plot(8.5*ones(100,1),-2:4/99:2,'k')
hold on
plot(10.5*ones(100,1),-2:4/99:2,'k')
